Subject: bug#17369: closed (Re: bug#17369: 24.4.50; several lines form a block of lines after inserting paren)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 29 Apr 2014 14:30:05 +0000

Your bug report

#17369: 24.4.50; several lines form a block of lines after inserting paren

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17369: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17369
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17369: 24.4.50; several lines form a block of lines after inserting paren
From: Eli Zaretskii <[email-masked]>
To: Jarek Czekalski <[email-masked]>
Cc: [email-masked]
Date: Tue, 29 Apr 2014 17:29:09 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 29 Apr 2014 10:54:26 +0200
> From: Jarek Czekalski <[email-masked]>
> 
> 
> To reproduce start emacs -Q and:
> 1. Type the following contents
> a
> {
> b
> }
> 2. Confirm that while standing on "b" and pressing END you just land 
> after the "b".
> 3. After "a" insert "{" and delete it
> 4. Try to END from "b", and notice you land at the end of the file.
> 
> Expected behaviour: In step 4 we should land after "b".

You are using an outdated version of the trunk:

> In GNU Emacs 24.4.50.4 (i686-pc-mingw32)
>   of 2014-04-22 on BONSOFTW7
> Repository revision: 116990 
> [email-masked]

I'm quite sure this problem was fixed (I think in the very next trunk
revision, 116991).  At least I cannot reproduce it with today's trunk.

I'm closing the bug; feel free to reopen and add details if you
succeed to reproduce with the latest trunk.

Subject: 24.4.50; several lines form a block of lines after inserting paren
From: Jarek Czekalski <[email-masked]>
To: [email-masked]
Date: Tue, 29 Apr 2014 10:54:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

To reproduce start emacs -Q and:
1. Type the following contents
a
{
b
}
2. Confirm that while standing on "b" and pressing END you just land 
after the "b".
3. After "a" insert "{" and delete it
4. Try to END from "b", and notice you land at the end of the file.

Expected behaviour: In step 4 we should land after "b".

May be connected with "newline chache" thread [1].

[1] http://lists.gnu.org/archive/html/emacs-devel/2014-04/msg00295.html

In GNU Emacs 24.4.50.4 (i686-pc-mingw32)
  of 2014-04-22 on BONSOFTW7
Repository revision: 116990 
[email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
  `configure --prefix=d:/program_files/emacs-master'

Configured features:
PNG NOTIFY ACL GNUTLS LIBXML2 ZLIB

Important settings:
   value of $LANG: pl
   locale-coding-system: cp1250

Major mode: Fundamental

Minor modes in effect:
   tooltip-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   buffer-read-only: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
M-x r e p o r <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message dired format-spec
rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util help-fns mail-prsvr mail-utils time-date tooltip
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32
ls-lisp w32-common-fns disp-table w32-win w32-vars tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode
register page menu-bar rfn-eshadow timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
w32notify w32 multi-tty emacs)

Memory information:
((conses 8 78176 7303)
  (symbols 24 17722 0)
  (miscs 20 76 190)
  (strings 16 12035 4723)
  (string-bytes 1 309207)
  (vectors 8 9310)
  (vector-slots 4 372511 5400)
  (floats 8 55 253)
  (intervals 28 257 36)
  (buffers 508 12))